Page MenuHomeFreeBSD

mfc-candidates: move pretty printing into lua
ClosedPublic

Authored by emaste on Apr 18 2024, 1:40 PM.
Tags
None
Referenced Files
F86730685: D44836.diff
Mon, Jun 24, 5:05 PM
F86706142: D44836.id.diff
Mon, Jun 24, 8:18 AM
Unknown Object (File)
Sun, Jun 16, 12:33 PM
Unknown Object (File)
Thu, Jun 6, 11:42 AM
Unknown Object (File)
May 23 2024, 10:57 AM
Unknown Object (File)
May 12 2024, 3:57 PM
Unknown Object (File)
Apr 30 2024, 4:10 AM
Unknown Object (File)
Apr 30 2024, 3:52 AM
Subscribers
None

Details

Summary
d51c59002367 moved the MFC hash matching logic into a lua utility
script but left the output formatting in the shell script. Simplify this
slightly by just printing the formatted output from lua.

Eventually I'd like to just remove mfc-candidates.sh and have everything in lua, but haven't had a chance to spend time on it. This is a tiny step on that path with that in mind.

Diff Detail

Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

emaste created this revision.
This revision was not accepted when it landed; it landed in state Needs Review.Apr 21 2024, 2:12 PM
This revision was automatically updated to reflect the committed changes.
tools/tools/git/candidatematch.lua
68

That reminds me... it would be nice if we had an option to just print the hashes in the proper order...

And it might also not be a bad idea to come up with lua "bindings" for git in the fullness of time.